<?php
require_once 'ORM.php';
class Noticia extends ORM {  
    public $id, $titulo, $fecha_creacion, $fecha_publicacion;
    protected static $table = 'noticias_iem';
    public function __construct($data) {
        parent::__construct();
        if ($data && sizeof($data)) {
            $this->populateFromRow($data);
        }
    }
    public function populateFromRow($data) {
        $this->id = isset($data['id']) ? intval($data['id']) : null;
        $this->titulo = isset($data['titulo']) ? $data['titulo'] : null;
        $this->fecha_creacion = isset($data['fecha_creacion']) ? $data['fecha_creacion'] : null;
        $this->fecha_publicacion = isset($data['fecha_publicacion']) ? $data['fecha_publicacion'] : null;
        //$fechaArray = explode("-", $data['fecha_creacion']);
        //$this->ruta = $fechaArray[0]."/".$data['id'];
        
    }
    
    public function ruta(){
        $fechaArray = explode("-", $this->fecha_creacion);
        return $fechaArray[0]."/".$this->id;
    }
}